aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-06-15 14:01:11 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-06-15 14:01:11 +1200
commit1d19ff7522f5d2f140c20810ae73fec1faeecafc (patch)
tree3d36688f08fb23b8c103659b5e9c791e308dcd5d
parentClean up some exit statuses (diff)
downloaddotfiles-1d19ff7522f5d2f140c20810ae73fec1faeecafc.tar.gz
dotfiles-1d19ff7522f5d2f140c20810ae73fec1faeecafc.zip
Make han(1df) exit, not return
-rw-r--r--bin/han.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/han.bash b/bin/han.bash
index 97dc3a19..3c4f6637 100644
--- a/bin/han.bash
+++ b/bin/han.bash
@@ -5,10 +5,10 @@ self=han
# due to leading zeroes and trailing letters in some 2.x version numbers (e.g.
# 2.05a).
# shellcheck disable=SC2128
-[ -n "$BASH_VERSINFO" ] || return
+[ -n "$BASH_VERSINFO" ] || exit
((BASH_VERSINFO[0] == 2)) &&
((10#${BASH_VERSINFO[1]%%[![:digit:]]*} < 5)) &&
- return
+ exit
# Figure out the options with which we can call help; Bash >=4.0 has an -m
# option which prints the help output in a man-page like format